%define upstream_name    Mason-Tidy
%define upstream_version 2.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Implements masontidy command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mason/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in Perl-Tidy-20180219, bug #1549515, CPAN RT#124604
Patch0:         Mason-Tidy-2.57-Adapt-to-changes-in-Perl-Tidy-20180219.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moo)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Class::Most)
BuildArch: noarch

%{?perl_default_filter}


%description
This is the engine used by masontidy - read that first to get an overview.

You can call this API from your own program instead of executing
'masontidy'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.570.0-8.mga10
+ Revision: 2208483
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.570.0-7.mga9
+ Revision: 1818869
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.570.0-6.mga8
+ Revision: 1505054
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.570.0-5.mga7
+ Revision: 1284747
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 tv <tv> 2.570.0-4.mga7
+ Revision: 1234628
- Adapt to changes in Perl-Tidy-20180219 (rhbz#1549515, CPAN RT#124604)

* Sun Jun 19 2016 pterjan <pterjan> 2.570.0-4.mga6
+ Revision: 1029527
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.570.0-3.mga6
+ Revision: 932997
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.570.0-2.mga5
+ Revision: 748191
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.570.0-1.mga5
+ Revision: 733759
- imported package perl-Mason-Tidy


* Wed Oct 01 2014 Thierry Vignaud <tv@mageia.org> 2.570.0-1.mga5
- initial mageia release, generated with cpan2dist
